mirror of
https://github.com/novatiq/packages.git
synced 2026-04-30 07:28:39 +01:00
pciutils: Import 3.2.0 from packages and update to 3.2.1.
This commit is contained in:
@@ -0,0 +1,11 @@
|
||||
--- a/update-pciids.sh
|
||||
+++ b/update-pciids.sh
|
||||
@@ -33,7 +33,7 @@ if which curl >/dev/null 2>&1 ; then
|
||||
DL="curl -o $DEST.new $SRC"
|
||||
${quiet} && DL="$DL -s -S"
|
||||
elif which wget >/dev/null 2>&1 ; then
|
||||
- DL="wget --no-timestamping -O $DEST.new $SRC"
|
||||
+ DL="wget -O $DEST.new $SRC"
|
||||
${quiet} && DL="$DL -q"
|
||||
elif which lynx >/dev/null 2>&1 ; then
|
||||
DL="eval lynx -source $SRC >$DEST.new"
|
||||
@@ -0,0 +1,11 @@
|
||||
--- a/Makefile
|
||||
+++ b/Makefile
|
||||
@@ -108,7 +108,7 @@ distclean: clean
|
||||
install: all
|
||||
# -c is ignored on Linux, but required on FreeBSD
|
||||
$(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7
|
||||
- $(INSTALL) -c -m 755 $(STRIP) lspci setpci $(DESTDIR)$(SBINDIR)
|
||||
+ $(INSTALL) -c -m 755 lspci setpci $(DESTDIR)$(SBINDIR)
|
||||
$(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
|
||||
$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
|
||||
$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
|
||||
@@ -0,0 +1,31 @@
|
||||
--- a/update-pciids.sh
|
||||
+++ b/update-pciids.sh
|
||||
@@ -6,9 +6,8 @@ set -e
|
||||
SRC="http://pci-ids.ucw.cz/v2.2/pci.ids"
|
||||
DEST=pci.ids
|
||||
PCI_COMPRESSED_IDS=
|
||||
-GREP=grep
|
||||
|
||||
-# if pci.ids is read-only (because the filesystem is read-only),
|
||||
+# if pci.ids.gz is read-only (because the filesystem is read-only),
|
||||
# then just skip this whole process.
|
||||
if ! touch ${DEST} >/dev/null 2>&1 ; then
|
||||
${quiet} || echo "${DEST} is read-only, exiting." 1>&2
|
||||
@@ -18,7 +17,7 @@ fi
|
||||
if [ "$PCI_COMPRESSED_IDS" = 1 ] ; then
|
||||
DECOMP="cat"
|
||||
SRC="$SRC.gz"
|
||||
- GREP=zgrep
|
||||
+ DEST="$DEST.gz"
|
||||
elif which bzip2 >/dev/null 2>&1 ; then
|
||||
DECOMP="bzip2 -d"
|
||||
SRC="$SRC.bz2"
|
||||
@@ -53,7 +52,7 @@ if ! $DECOMP <$DEST.new >$DEST.neww ; th
|
||||
exit 1
|
||||
fi
|
||||
|
||||
-if ! $GREP >/dev/null "^C " $DEST.neww ; then
|
||||
+if ! zcat $DEST.neww | grep >/dev/null "^C " ; then
|
||||
echo >&2 "update-pciids: missing class info, probably truncated file"
|
||||
exit 1
|
||||
fi
|
||||
@@ -0,0 +1,11 @@
|
||||
--- a/Makefile
|
||||
+++ b/Makefile
|
||||
@@ -85,7 +85,7 @@ lspci: LDLIBS+=$(LIBKMOD_LIBS)
|
||||
ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)
|
||||
|
||||
update-pciids: update-pciids.sh
|
||||
- sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
|
||||
+ sed <$< >$@ "s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
|
||||
chmod +x $@
|
||||
|
||||
# The example of use of libpci
|
||||
@@ -0,0 +1,11 @@
|
||||
--- a/lib/configure
|
||||
+++ b/lib/configure
|
||||
@@ -57,7 +57,7 @@ echo >>$c "#define PCI_OS_`echo $sys | t
|
||||
echo >$m 'WITH_LIBS='
|
||||
|
||||
echo_n "Looking for access methods..."
|
||||
-LIBRESOLV=-lresolv
|
||||
+LIBRESOLV=
|
||||
|
||||
case $sys in
|
||||
linux*)
|
||||
Reference in New Issue
Block a user